/*
 * Copyright (c) 2019, PANNK and/or its affiliates. All rights reserved.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */
package com.pannk.demo.demo.commonconfig;

import org.springframework.boot.ImageBanner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.core.io.ClassPathResource;

/**
 * @author：wolf
 * @date：2020/10/30 22:59
 **/
@SpringBootApplication
public class CommonConfigApplication {

    public static void main(String[] args) {
        SpringApplication springApplication = new SpringApplication(CommonConfigApplication.class);
//        springApplication.setBannerMode(Banner.Mode.CONSOLE);
        springApplication.setBanner(new ImageBanner(new ClassPathResource("banners/banner.jpg")));
//        springApplication.setBanner(new ResourceBanner(new ClassPathResource("banners/banner.txt")));
        springApplication.run(args);
//        SpringApplication.run(CommonConfigApplication.class,args);
    }
}
