/*
 * Copyright (c) 2019, PANNK and/or its affiliates. All rights reserved.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */
package com.pannk.demo.demo;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author：wolf
 * @date：2020/10/31 22:12
 **/
@RequestMapping("/test")
@RestController
public class FirstController {

    @GetMapping("/sayHello/{name}")
    public  String sayHello(@PathVariable String name){
        return "Hello,"+ name;
    }
}
