package com.pannk.demo.demo.firstapplication;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 第一个SpringBoot程序
 * 1、@SpringBootApplication注解标明程序为SpringBootApplication，可以简单理解为规定写法，后面会具体讲解
 * 2、此类为系统入口类，应放在项目代码的根目录，即最顶层包，否则会出现不能扫描到包层级高于它的类
 *
 * @author 老丢丢
 */
//@EnableAutoConfiguration
@SpringBootApplication
public class FirstApplication {

    public static void main(String[] args) {
        SpringApplication.run(FirstApplication.class, args);
    }


}
