CREATE TABLE `sys_user` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
  `user_name` varchar(100) COLLATE utf8mb4_bin NOT NULL COMMENT '用户名',
  `password` varchar(100) COLLATE utf8mb4_bin NOT NULL COMMENT '密码',
  `code` varchar(100) COLLATE utf8mb4_bin NOT NULL COMMENT '编号',
  `create_date` datetime DEFAULT NULL COMMENT '创建日期',
  `create_id` bigint DEFAULT NULL COMMENT '创建者ID',
  `update_date` datetime DEFAULT NULL COMMENT '更新日期',
  `update_id` bigint DEFAULT NULL COMMENT '更新者ID',
  PRIMARY KEY (`id`),
  UNIQUE KEY `sys_user_un` (`user_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin