package com.pannk.demo.mms.common.exception;

import lombok.Data;

/**
 * Created by wolf on 20-11-3.
 */
@Data
public class BaseException extends RuntimeException {

    private String msg;

    private int code = 500;

    public BaseException(String msg){
        super(msg);
        this.msg =msg;
    }

    public BaseException(String msg,Throwable e){
        super(msg,e);
        this.msg =msg;
    }
    public BaseException(String msg,int code){
        super(msg);
        this.msg = msg;
        this.code = code;
    }

    public BaseException(String msg,int code ,Throwable e){
        super(msg,e);
        this.msg = msg;
        this.code = code;
    }
}
