/*
 * Copyright (c) 2019, PANNK and/or its affiliates. All rights reserved.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */
package com.pannk.demo.mms.modules.sys.controller;

import com.pannk.demo.mms.common.base.BaseController;
import com.pannk.demo.mms.common.base.Result;
import com.pannk.demo.mms.modules.sys.service.SysRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author：wolf
 * @date：2020/11/2 23:20
 **/
@RequestMapping("/sys/role")
@RestController
public class SysRoleController extends BaseController {

    @Autowired
    private SysRoleService sysRoleService;

    @GetMapping("/list")
    public Result list() {
        return Result.success(sysRoleService.list());
    }
}
