/*
 * Copyright (c) 2019, PANNK and/or its affiliates. All rights reserved.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */
package com.pannk.demo.mms.modules.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pannk.demo.mms.modules.sys.dao.SysMenuMapper;
import com.pannk.demo.mms.modules.sys.entity.SysMenumEntity;
import com.pannk.demo.mms.modules.sys.service.SysMenuService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 系统菜单服务
 *
 * @author：wolf
 * @date：2020/11/2 23:36
 **/
@Slf4j
@Service("sysMenuService")
public class SysMenuServiceImpl extends ServiceImpl<SysMenuMapper, SysMenumEntity> implements SysMenuService {
}
